/* main css */
/* 语言切换区域 */
.languageSwitch_allbox {
	display: none;
	position: fixed;
	top: 0;
	left: 0;
	background: rgb(51 51 51 / 50%);
	z-index: 9999;
}

.languageSwitch_box {
	display: none;
	position: fixed;
	bottom: 0;
	width: 100%;
	border-top-left-radius: 12px;
	border-top-right-radius: 12px;
	background: #222;
}

.languageSwitch_topBox {
	padding: 15px;
	display: flex;
	align-items: center;
	justify-content: space-between;
	border-top-left-radius: 12px;
	border-top-right-radius: 12px;
	color: #fff;
	background: rgb(242 115 72 / 80%);
}

.languageSwitch_topBox span {
	font-size: 16px;
}

.cancelBtn,
.confirmBtn {
	cursor: pointer;
	font-weight: bold;
}

.cancelBtn:hover,
.confirmBtn:hover {
	color: #009efb;
}

.swiperLanguage {
	height: 65px;
	/* padding: 0 15px; */
	border-radius: 8px;
	margin-top: 10%;
	margin-bottom: 2%;
}

.dropCloth {
	width: 100%;
	height: 100%;
	background: rgb(34 34 34 / 60%);
}

.languageItem_box {
	display: -webkit-box;
	display: -ms-flexbox;
	display: -webkit-flex;
	display: flex;
	-webkit-box-pack: center;
	-ms-flex-pack: center;
	/* -webkit-justify-content: center;
	justify-content: center; */
	-webkit-box-align: center;
	-ms-flex-align: center;
	-webkit-align-items: center;
	align-items: center;
	justify-content: center;
	cursor: pointer;
	font-size: 12px;
	color: #fff;
}

/* .languageList {
	padding: 15px; */
/* text-align: center; */
/* font-size: 12px; */
/* cursor: pointer;
} */

.swiper-slide-active {
	font-size: 16px;
	background: #999;
	font-weight: bold;
}

/* 第二版国旗版 */
.languageList_box {
    /* width: 60%; */
    position: absolute;
    /* top: 10%; */
    /* left: 20%; */
    z-index: 9;
	background: #fff;
	padding: 15px;
	border-radius: 8px;
	box-shadow: 0 0 3px 3px rgb(255 255 255 / 50%);
}
.languageList_itemImg {
    width: 30px;
    margin-right: 15px;
}
.languageList_itemBox {
    margin: 15px 0;
    padding: 10px;
    border: 1px solid #ff9900;
    border-radius: 6px;
    cursor: pointer;
    box-shadow: 0 0 3px 3px rgb(255 153 0 / 50%);
}
.languageList_itemBox:hover{
	border-color: #ff716d;
	box-shadow: 0 0 3px 3px rgb(255 113 109 / 50%);
}
.closeLanguage_btn{
	position: absolute;
	top: 2px;
	right: 6px;
	cursor: pointer;
}
.closeLanguage_btn:hover{
	color: #d9534f;
}
/* 媒体查询css */
/* 手机超小屏幕竖屏375px及以下 */
@media (max-width:375px) {

	/* 语言切换区域 */
	.swiperLanguage {
		margin-top: 25%;
		margin-bottom: 10%;
	}
	/* 版本二国旗版 */
	.languageList_box {
	    width: 70%;
		padding: 20px;
	}
	.languageList_itemImg {
	    margin-right: 50px;
	}
	.closeLanguage_btn {
	    font-size: 20px;
	}
}

/* 手机小屏幕横屏376px~767px以下 */
@media (min-width:376px) and (max-width:767px) {

	/* 语言切换区域 */
	.swiperLanguage {
		margin-top: 25%;
		margin-bottom: 10%;
	}
	/* 版本二国旗版 */
	.languageList_box {
	    width: 70%;
		padding: 20px;
	}
	.languageList_itemImg {
	    margin-right: 50px;
	}
	.closeLanguage_btn {
	    font-size: 20px;
	}

}

/* 平板中屏幕768px-991px */
@media (min-width:768px) and (max-width:991px) {}

/* 普通电脑大屏幕992px~1199px */
@media (min-width:992px) and (max-width:1199px) {}

/* 大屏幕1200及以上 */
@media (min-width:1200px) {}